org.apache.ignite.internal.visor.igfs

## Class VisorIgfsProfilerEntry

- java.lang.Object
- - org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerEntry

All Implemented Interfaces:
  Serializable

    public class VisorIgfsProfilerEntry
    extends Object
    implements Serializable

Visor IGFS profiler information about one file.

See Also:
  Serialized Form

### Field Summary

Fields
`static Comparator<VisorIgfsProfilerEntry>` `ENTRY_TIMESTAMP_COMPARATOR` Timestamp comparator.

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsProfilerEntry(String path, long ts, IgfsMode mode, long size, long bytesRead, long readTime, long userReadTime, long bytesWritten, long writeTime, long userWriteTime, VisorIgfsProfilerUniformityCounters counters)` Create data transfer object with given parameters.

### Method Summary

Methods
`long` `bytesRead()`
`long` `bytesWritten()`
`VisorIgfsProfilerUniformityCounters` `counters()`
`IgfsMode` `mode()`
`String` `path()`
`long` `readSpeed()`
`long` `readTime()`
`long` `size()`
`long` `timestamp()`
`String` `toString()`
`double` `uniformity()`
`long` `userReadTime()`
`long` `userWriteTime()`
`long` `writeSpeed()`
`long` `writeTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ENTRY_TIMESTAMP_COMPARATOR

    public static final Comparator<VisorIgfsProfilerEntry> ENTRY_TIMESTAMP_COMPARATOR

Timestamp comparator.

### Constructor Detail

#### VisorIgfsProfilerEntry

    public VisorIgfsProfilerEntry(String path,
                          long ts,
                          IgfsMode mode,
                          long size,
                          long bytesRead,
                          long readTime,
                          long userReadTime,
                          long bytesWritten,
                          long writeTime,
                          long userWriteTime,
                          VisorIgfsProfilerUniformityCounters counters)

Create data transfer object with given parameters.

### Method Detail

#### path

    public String path()

Returns:
  Path to file.

#### timestamp

    public long timestamp()

Returns:
  Timestamp of last file operation.

#### mode

    public IgfsMode mode()

Returns:
  IGFS mode.

#### size

    public long size()

Returns:
  File size.

#### bytesRead

    public long bytesRead()

Returns:
  How many bytes were read.

#### readTime

    public long readTime()

Returns:
  How long read take.

#### userReadTime

    public long userReadTime()

Returns:
  User read time.

#### bytesWritten

    public long bytesWritten()

Returns:
  How many bytes were written.

#### writeTime

    public long writeTime()

Returns:
  How long write take.

#### userWriteTime

    public long userWriteTime()

Returns:
  User write read time.

#### uniformity

    public double uniformity()

Returns:
  Calculated uniformity.

#### counters

    public VisorIgfsProfilerUniformityCounters counters()

Returns:
  Counters for uniformity calculation.

#### readSpeed

    public long readSpeed()

Returns:
  Read speed in bytes per second or `-1` if speed not available.

#### writeSpeed

    public long writeSpeed()

Returns:
  Write speed in bytes per second or `-1` if speed not available.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015